Comment 25 for bug 1475902

Dan Kegel (dank) wrote :

I see the crash on my nvidia card on ubuntu 16.04, too.

Rebuilding the debian package, like this,
  apt-get source glmark2
  cd glmark2-2014.03+git20150611.fa71af2d
  ./waf configure --with-flavors=x11-gl
  ./waf
  sudo ./waf install
  /usr/local/bin/glmark2

(after having enough things installed) seems to work around the problem.

But so does just preloading libpthread:

LD_PRELOAD=/lib/x86_64-linux-gnu/libpthread.so.0 /usr/bin/glmark2

Thanks to http://stackoverflow.com/questions/31579243/segmentation-fault-before-main-when-using-glut-and-stdstring for the tip.

So... it's a linking problem? But "ldd glmark2" shows same number of lines regardless
of whether I run it against the working or the broken glmark2.

Rebuilding the kosher debian way,
   sudo apt-get build-deps glmark2
   cd glmark2-2014.03+git20150611.fa71af2d
   debuild -b -uc -us
   sudo dpkg -i ../glmark2_2014.03+git20150611.fa71af2d-0ubuntu2_amd64.deb
   /usr/bin/glmark2
also fixed the problem.